A date without references

### Hierarchy

- SCThingThatCanBeOffered<SCSportCoursePriceGroup>
  - SCDateSeriesWithoutReferences
    - SCDateSeries

## Index

### Properties

- alternateNames
- dates
- description
- duration
- exceptions
- frequency
- image
- name
- offers
- origin
- translations
- type
- uid
- url

## Properties

### Optional alternateNames

alternateNames: string[]

Inherited from SCThing.alternateNames

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1558

Alternate names of the thing

### dates

dates: SCISO8601Date[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2399

Dates of the date series that are initially planned to be held

### Optional description

description: undefined | string

Inherited from SCThing.description

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1564

Description of the thing

minlength

  1

### duration

duration: SCISO8601Duration

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2403

Duration of the date series

### Optional exceptions

exceptions: SCISO8601Date[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2407

Dates that where initially planned to be held but are cancelled

### frequency

frequency: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2411

Frequency of the date series

### Optional image

image: undefined | string

Inherited from SCThing.image

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1568

Image of the thing

### name

name: string

Inherited from SCThing.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1574

Name of the thing

minlength

  1

### Optional offers

offers: Array<SCThingThatCanBeOfferedOffer<SCSportCoursePriceGroup>>

Inherited from SCThingThatCanBeOffered.offers

- Defined in node_modules/@openstapps/core/lib/index.d.ts:609

List of offers for that thing

### origin

origin: SCThingRemoteOrigin | SCThingUserOrigin

Inherited from SCThing.origin

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1578

Origin of the thing

### Optional translations

translations: SCTranslations<SCDateSeriesTranslatableProperties>

Overrides SCThingThatCanBeOffered.translations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2415

Translated properties

### type

type: DateSeries

Overrides SCThing.type

- Defined in node_modules/@openstapps/core/lib/index.d.ts:2419

Type of a date series

### uid

uid: SCUuid

Inherited from SCThing.uid

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1592

Universally unique identifier of the thing

### Optional url

url: undefined | string

Inherited from SCThing.url

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1596

URL of the thing

Generated using TypeDoc